{{ $anchor := replaceRE "-http.*$" "" .Anchor }}
{{ $text := replace .Text "↗" "<svg width='16' height='16'><use xlink:href='/images/icons.svg#link'></use></svg>" }}
<h{{ .Level }} id="{{ $anchor | safeURL }}">
{{- if le .Level 4 }}
<a class="heading-anchor" href="#{{ $anchor | safeURL }}" hidden><svg width="16" height="16"><use xlink:href="/images/icons.svg#anchor"></use></svg></a>
{{- end -}}
{{ $text | safeHTML }}
</h{{ .Level }}>